<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\License;

class License
{
    private $productId;
    private $apiKey;
    private $instance;
    private $status;

    public function __construct(string $productId, string $apiKey, string $instance, string $status)
    {
        $this->productId = $productId;
        $this->apiKey = $apiKey;
        $this->instance = $instance;
        $this->status = $status;
    }

    public function productId(): string
    {
        return $this->productId;
    }

    public function apiKey(): string
    {
        return $this->apiKey;
    }

    public function instance(): string
    {
        return $this->instance;
    }

    public function status(): string
    {
        return $this->status;
    }
}
